> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Group

> Retrieve details of a specific group by its ID.



## OpenAPI

````yaml /openapi/product/groups-api.yaml get /api/content/v2/groups/{group}
openapi: 3.1.0
info:
  title: Group Documentation
  version: 1.0.0
  description: >-
    Authentication: Requests to the endpoints in this document should be
    authenticated using an access token. The token should be passed using the
    X-DOMO-Developer-Token header. For information about generating an access
    token see
    https://domo-support.domo.com/s/article/360042934494?language=en_US.
servers:
  - url: https://{instance}.domo.com
    variables:
      instance:
        default: YOUR_INSTANCE
        description: Domo instance subdomain
security:
  - DomoDeveloperToken: []
tags:
  - name: groups
paths:
  /api/content/v2/groups/{group}:
    get:
      tags:
        - Groups API (Product)
      summary: Fetch Group
      description: Retrieve details of a specific group by its ID.
      parameters:
        - in: path
          name: group
          required: true
          description: The ID of the group to fetch
          schema:
            $ref: '#/components/schemas/GroupIdParam'
      responses:
        '200':
          description: 'Status Code: 200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupResponse'
components:
  schemas:
    GroupIdParam:
      type: string
      description: The ID of the group to fetch
    GroupResponse:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        type:
          type: string
          description: closed, open, or dynamic
        userIds:
          type: array
          items:
            type: integer
        creatorId:
          type: integer
        memberCount:
          type: integer
        guid:
          type: string
        description:
          type: string
        hidden:
          type: boolean
        default:
          type: boolean
        active:
          type: boolean
      example:
        id: 6789456782
        name: Group Name
        type: closed
        userIds:
          - 123123123
          - 342342344
          - 555543423
          - 432423423
        creatorId: 4421231232
        memberCount: 4
        guid: guid-goes-here
        description: ''
        hidden: false
        default: false
        active: true
  securitySchemes:
    DomoDeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token

````